# $Revision: 1.8 $, $Date: 2010/07/08 08:44:13 $
Summary:	Collection of libraries for use in a WSGI environment
Summary(pl.UTF-8):	Zbiór bibliotek do używania w środowisku WSGI
Name:		python-WSGIUtils
Version:	0.7
Release:	4
Group:		Development/Languages/Python
License:	X11/MIT
Source0:	http://cheeseshop.python.org/packages/source/W/WSGIUtils/WSGIUtils-%{version}.tar.gz
# Source0-md5:	80656ce771bb33eb8ad502c3b674b1fc
URL:		http://www.owlfish.com/software/wsgiutils/
BuildRequires:	python-devel
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WSGIUtils is a package of standalone utility libraries that ease the
development of simple WSGI programs. The package is divided into two
main components which can be used individualy or in combination:

- wsgiServer is a multi-threaded WSGI web server based on
  SimpleHTTPServer
- wsgiAdaptor is a simple WSGI application that provides basic
  authentication, signed cookies and persistent sessions

%description -l pl.UTF-8
WSGIUtils to pakiet samodzielnych bibliotek narzędziowych
ułatwiających tworzenie prostych programów WSGI. Pakiet jest
podzielony na dwa główne składniki, których można używać oddzielnie
lub łącznie:

- wsgiServer to wielowątkowy serwer WWW WSGI oparty na
  SimpleHTTPServer
- wsgiAdaptor to prosta aplikacja WSGI udostępniająca podstawowe
  uwierzytelnianie, podpisane ciasteczka i trwałe sesje

%prep
%setup -q -n WSGIUtils-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--single-version-externally-managed \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt
%{py_sitescriptdir}/wsgiutils*
%{py_sitescriptdir}/WSGIUtils*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog -n python-WSGIUtils
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-WSGIUtils.spec,v $
Revision 1.8  2010/07/08 08:44:13  arekm
- release 4

Revision 1.7  2008/10/14 06:43:24  arekm
- release 3

Revision 1.6  2008/10/03 18:03:19  arekm
- release 2

Revision 1.5  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.3  2006/01/30 10:27:02  qboosh
- pl

Revision 1.2  2006/01/28 19:00:44  radzio
- fix URLs

Revision 1.1  2006/01/28 18:57:16  radzio
- initial release
- TODO: polish translations, better [B]R
